package com.njcn.gather.freqConverter.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.njcn.gather.freqConverter.pojo.param.PqFreqConverterParam;
import com.njcn.gather.freqConverter.pojo.po.PqFreqConverterConfig;

import java.util.List;

/**
 * @author caozehui
 * @data 2026-04-08
 */
public interface IPqFreqConverterConfigService extends IService<PqFreqConverterConfig> {
    Page<PqFreqConverterConfig> listPqFreqConverterConfigs(PqFreqConverterParam.QueryParam queryParam);

    Integer getSuffix(String converterId);

    boolean addPqFreqConverterConfig(PqFreqConverterParam param);

    boolean updatePqFreqConverterConfig(PqFreqConverterParam.UpdateParam param);

    boolean deletePqFreqConverterConfig(List<String> ids);

    boolean updateTestStatus(String converterId, Integer testStatus);

}
